EncodedColumnBatch (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.common.io.encoded

## Class EncodedColumnBatch<BatchKey>

- java.lang.Object
- - org.apache.hadoop.hive.common.io.encoded.EncodedColumnBatch<BatchKey>

-     public class EncodedColumnBatch<BatchKey>
      extends Object

  A block of data for a given section of a file, similar to VRB but in encoded form. Stores a set of buffers for each encoded stream that is a part of each column.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EncodedColumnBatch.ColumnStreamData` Slice of the data for a stream for some column, stored inside MemoryBuffer's.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BatchKey` | `batchKey` The key that is used to map this batch to source location.
    `protected EncodedColumnBatch.ColumnStreamData[][]` | `columnData` Stream data for each stream, for each included column.
    `protected int[]` | `columnIxs` Column indexes included in the batch.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodedColumnBatch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BatchKey` | `getBatchKey()`
    `EncodedColumnBatch.ColumnStreamData[][]` | `getColumnData()`
    `int[]` | `getColumnIxs()`
    `void` | `initColumn(int colIxMod, int colIx, int streamCount)`
    `void` | `reset()`
    `protected void` | `resetColumnArrays(int columnCount)`
    `void` | `setAllStreamsData(int colIxMod, int colIx, EncodedColumnBatch.ColumnStreamData[] sbs)`
    `void` | `setStreamData(int colIxMod, int streamKind, EncodedColumnBatch.ColumnStreamData csd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### batchKey

          protected BatchKey batchKey

      The key that is used to map this batch to source location.

    - #### columnData

          protected EncodedColumnBatch.ColumnStreamData[][] columnData

      Stream data for each stream, for each included column. For each column, streams are indexed by kind, with missing elements being null.

    - #### columnIxs

          protected int[] columnIxs

      Column indexes included in the batch. Correspond to columnData elements.

  - ### Constructor Detail

    - #### EncodedColumnBatch

          public EncodedColumnBatch()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### initColumn

          public void initColumn(int colIxMod,
                                 int colIx,
                                 int streamCount)

    - #### setStreamData

          public void setStreamData(int colIxMod,
                                    int streamKind,
                                    EncodedColumnBatch.ColumnStreamData csd)

    - #### setAllStreamsData

          public void setAllStreamsData(int colIxMod,
                                        int colIx,
                                        EncodedColumnBatch.ColumnStreamData[] sbs)

    - #### getBatchKey

          public BatchKey getBatchKey()

    - #### getColumnData

          public EncodedColumnBatch.ColumnStreamData[][] getColumnData()

    - #### getColumnIxs

          public int[] getColumnIxs()

    - #### resetColumnArrays

          protected void resetColumnArrays(int columnCount)

Copyright © 2016 The Apache Software Foundation. All rights reserved.